Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.launch
Class EPPLaunchUpdate

    java.lang.Object
      com.verisign.epp.codec.launch.EPPLaunchUpdate

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPLaunchUpdate

extends java.lang.Object
implements EPPCodecComponent

Extension to the domain update command to update a launch phase application.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` Constant for the launch phase update extension local name
`static java.lang.String` | `ELM_NAME` Constant for the launch phase info extension tag

Constructor Summary
`EPPLaunchUpdate()` Create an EPPLaunchUpdate instance
`EPPLaunchUpdate(EPPLaunchPhase aPhase, java.lang.String aApplicationId)` Create a `EPPLaunchUpdate` instance with both the required phase and required application identifier attribute values.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPLaunchUpdate`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the DOM element to the `EPPLaunchUpdate`.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode the `EPPLaunchUpdate` to a DOM Element
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPLaunchUpdate` compare.
`java.lang.String` | `getApplicationId()` Gets the application identifier of the launch application.
`EPPLaunchPhase` | `getPhase()` Gets phase during which the application was submitted or is associated with.
`void` | `setApplicationId(java.lang.String aApplicationId)` Sets the application identifier of the launch application.
`void` | `setPhase(EPPLaunchPhase aPhase)` Sets the phase during which the application was submitted or is associated with.
`void` | `setPhase(java.lang.String aPhaseString)` Sets the phase with one of the `EPPLaunchPhase` `PHASE` constants.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  Constant for the launch phase update extension local name

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the launch phase info extension tag

  See Also:
    Constant Field Values

Constructor Detail

### EPPLaunchUpdate

    public EPPLaunchUpdate()

  Create an EPPLaunchUpdate instance

### EPPLaunchUpdate

    public EPPLaunchUpdate(EPPLaunchPhase aPhase,
                           java.lang.String aApplicationId)

  Create a `EPPLaunchUpdate` instance with both the required phase and required application identifier attribute values.

  Parameters:
    `aPhase` - Phase during which the application was submitted or is associated with
    `aApplicationId` - Application identifier of the launch application

Method Detail

### getPhase

    public EPPLaunchPhase getPhase()

  Gets phase during which the application was submitted or is associated with.

  Returns:
    phase during which the application was submitted or is associated with if defined; `null` otherwise.

### setPhase

    public void setPhase(EPPLaunchPhase aPhase)

  Sets the phase during which the application was submitted or is associated with.

  Parameters:
    `aPhase` - Phase during which the application was submitted or is associated with

### setPhase

    public void setPhase(java.lang.String aPhaseString)

  Sets the phase with one of the `EPPLaunchPhase` `PHASE` constants.

  Parameters:
    `aPhaseString` - One of the `EPPLaunchPhase` `PHASE` constants.

### getApplicationId

    public java.lang.String getApplicationId()

  Gets the application identifier of the launch application.

  Returns:
    Application identifier if defined; `null` otherwise.

### setApplicationId

    public void setApplicationId(java.lang.String aApplicationId)

  Sets the application identifier of the launch application.

  Parameters:
    `aApplicationId` - Application identifier of the launch application

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPLaunchUpdate`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPLaunchUpdate`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode the `EPPLaunchUpdate` to a DOM Element

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - a DOM Document to attach data to.
  Returns:
    The root element of this component.
  Throws:
    `EPPEncodeException` - Thrown if any errors prevent encoding.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the DOM element to the `EPPLaunchUpdate`.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - DOM Element to decode the attribute values
  Throws:
    `EPPDecodeException` - Error decoding the DOM Element

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPLaunchUpdate` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPLaunchUpdate` instance to compare with
  Returns:
    true if equal false otherwise

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.